# WOK
TKWOK
WOKUtils

# WOKUtils_MapIteratorOfMapOfPath Class Reference

`#include <WOKUtils_MapIteratorOfMapOfPath.hxx>`

Inheritance diagram for WOKUtils_MapIteratorOfMapOfPath:

[legend]

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | WOKUtils_MapIteratorOfMapOfPath ()
Standard_EXPORT | WOKUtils_MapIteratorOfMapOfPath (const WOKUtils_MapOfPath &aMap)
Standard_EXPORT void | Initialize (const WOKUtils_MapOfPath &aMap)
Standard_EXPORT const Handle_WOKUtils_Path & | Key () const
Standard_EXPORT Standard_Integer | Hashcode () const

## Constructor & Destructor Documentation

Standard_EXPORT WOKUtils_MapIteratorOfMapOfPath::WOKUtils_MapIteratorOfMapOfPath | ( |  | ) |

Standard_EXPORT WOKUtils_MapIteratorOfMapOfPath::WOKUtils_MapIteratorOfMapOfPath | ( | const WOKUtils_MapOfPath & | aMap | ) |

## Member Function Documentation

Standard_EXPORT Standard_Integer WOKUtils_MapIteratorOfMapOfPath::Hashcode | ( |  | ) | const

Standard_EXPORT void WOKUtils_MapIteratorOfMapOfPath::Initialize | ( | const WOKUtils_MapOfPath & | aMap | ) |

Standard_EXPORT const Handle_WOKUtils_Path& WOKUtils_MapIteratorOfMapOfPath::Key | ( |  | ) | const

void WOKUtils_MapIteratorOfMapOfPath::operator delete | ( | void * | anAddress | ) | `[inline]`

| Reimplemented from WOKTools_BasicMapIterator.

void* WOKUtils_MapIteratorOfMapOfPath::operator new | ( | size_t | size | ) | `[inline]`

| Reimplemented from WOKTools_BasicMapIterator.

void* WOKUtils_MapIteratorOfMapOfPath::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

| Reimplemented from WOKTools_BasicMapIterator.

The documentation for this class was generated from the following file:

- WOKUtils_MapIteratorOfMapOfPath.hxx